<?php

trait FilesItemTypeTrait {

    public FilesItemType $type;

    public function isFolder(): bool {
        return $this->type == FilesItemType::FOLDER;
    }

    public function isFile(): bool {
        return $this->type == FilesItemType::FILE;
    }

    public function isBook(): bool {
        return $this instanceof BookItem && $this->fileType == BookFileType::BOOK;
    }

}